package com.ejie.ab79.model.propuestaSancion;

import java.util.Date;
import java.util.List;

/**
 * CampainasInspeccion  
 * 
 *  
 */

public class PropuestaSancion implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	/*
	 * Identificador interno de la propuesta de sancion
	 */
	private Integer idPropuestaSancion;
	/*
	 * Identificador interno de la inspeccion
	 */
	private Integer idInspeccion;
	/*
	 * Identificador de la propuesta de sancion generado en ab59
	 */
	private int idPropuestaSancionRemoto;
	/*
	 * Notas del inspector de la propuesta de sancion
	 */
	private String notas;

	private int[] documentos;

	private List<DocumentosInspeccion> documentosInspeccion;
	/*
	 * Usuario que ha almacenado el registro
	 */
	private String usuarioRegistro;
	/*
	 * Fecha cuando se ha almacenado el registro
	 */
	private Date fechaRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	/*
	 * Descripcion del identificador de la propuesta de sancion generado en ab59
	 */
	private String identificadorProSanDesc;

	public Integer getIdPropuestaSancion() {
		return idPropuestaSancion;
	}

	public void setIdPropuestaSancion(Integer idPropuestaSancion) {
		this.idPropuestaSancion = idPropuestaSancion;
	}

	public Integer getIdInspeccion() {
		return idInspeccion;
	}

	public void setIdInspeccion(Integer idInspeccion) {
		this.idInspeccion = idInspeccion;
	}

	public int getIdPropuestaSancionRemoto() {
		return idPropuestaSancionRemoto;
	}

	public void setIdPropuestaSancionRemoto(int idPropuestaSancionRemoto) {
		this.idPropuestaSancionRemoto = idPropuestaSancionRemoto;
	}

	public String getNotas() {
		return notas;
	}

	public void setNotas(String notas) {
		this.notas = notas;
	}

	public int[] getDocumentos() {
		return documentos;
	}

	public void setDocumentos(int[] documentos) {
		this.documentos = documentos;
	}

	public List<DocumentosInspeccion> getDocumentosInspeccion() {
		return documentosInspeccion;
	}

	public void setDocumentosInspeccion(List<DocumentosInspeccion> documentosInspeccion) {
		this.documentosInspeccion = documentosInspeccion;
	}

	public String getUsuarioRegistro() {
		return usuarioRegistro;
	}

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	public Date getFechaRegistro() {
		return fechaRegistro;
	}

	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	public Date getFechaUltmodificacion() {
		return fechaUltmodificacion;
	}

	public String getUsuarioUltmodificacion() {
		return usuarioUltmodificacion;
	}

	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	public String getIdentificadorProSanDesc() {
		return identificadorProSanDesc;
	}

	public void setIdentificadorProSanDesc(String identificadorProSanDesc) {
		this.identificadorProSanDesc = identificadorProSanDesc;
	}

}
